#pragma once

#include <QOpenGLWidget>

struct Vertex {
	Vertex(float x = 0.0f, float y = 0.0f, float z = 0.0f) {
		this->x = x;
		this->y = y;
		this->z = z;
		this->r = this->g = this->b = 0.0f;
	}

	float x, y, z;
	float r, g, b;
};

class QViewport : public QOpenGLWidget {
	Q_OBJECT

public:
	QViewport(QWidget* parent);
	virtual ~QViewport();

	void initializeGL();
	void paintGL();
	void resizeGL(int w, int h);

	Vertex vertices[3];
};
