#include "QtOpenGLDemo_Triangle.h"
#include <iostream>
#include <qtimer.h>
#include <QColorDialog>

QtOpenGLDemo_Triangle::QtOpenGLDemo_Triangle(QWidget *parent) : QMainWindow(parent) {
	this->ui.setupUi(this);
}

void QtOpenGLDemo_Triangle::onMyButton() {
	std::cout << "My button1" << std::endl;
	std::cout << "Triangle position: " << this->ui.viewport->vertices[0].y << std::endl;
}

void QtOpenGLDemo_Triangle::onSliderChanged(int index) {
	this->ui.viewport->vertices[0].y = index / 100.0f;
	this->ui.viewport->update();
}

void QtOpenGLDemo_Triangle::onChangeVertexColor(int index) {
	this->ui.viewport->vertices[0].r = index / 100.0f;
	this->ui.viewport->update();
}
